/***********************************************************************
**                                                                    **
** CEMoS Version 4.1.2 Copyright(C) 2023 Frank Hamberg, Cora Kohlmeier**
**                                                                    **
***********************************************************************/
#include <stdio.h>
#include <stdlib.h>
/* #include <fenv.h> */
/* #include "tools.h" */
#include "constructs.h"
#include "struct.h"
void reset_derivs(void);
void model(void);
int feenableexcept (int excepts);
int fedisableexcept (int excepts);

void control_main(int step,real in_time,real in_delt,real *act_states,real *act_rates)
{
  make_global(act_states,KKK,CCC,DDD);
  make_local_0D_states();

  reset_derivs();

  sim_time=in_time;
  delt=in_delt;
  steps_of_int_to_go=step-1;

/*   enable check for floating point exceptions   */
/*   feenableexcept (FE_DIVBYZERO | FE_OVERFLOW | FE_UNDERFLOW); */
/*   feenableexcept (FE_DIVBYZERO | FE_OVERFLOW); */
  model();
/*   disable check for floating point exceptions   */
/*   fedisableexcept (FE_DIVBYZERO | FE_OVERFLOW); */

  make_global_0D_rates();
  make_local(SDDD,SCCC,SKKK,act_rates);

  make_global_0D_states();
  make_local(DDD,CCC,KKK,act_states);

}


