/***********************************************************************
**                                                                    **
** CEMoS Version 4.1.1 Copyright(C) 2017 Frank Hamberg, Cora Kohlmeier**
**                                                                    **
***********************************************************************/
#define __SHARE_MEM__

typedef struct  {
/*
Die folgenden Variablen dienen der Kommunikation zwischen Master- und Slave-Modell.
Beide werden in der Datei main.c gesteuert und dargestellt.

Ob ein Modell Master oder Slave ist entscheidet sich:
- fuer den Master durch die cemos.par (wenn ein Slave-Modell angegeben ist)
- fuer den Slave durch den Aufruf von cemos-model aus dem Master heraus mit dem
  Zugriffsschluessel fuer den shared memory Bereich
*/
	int master_pid;
	int slave_pid;
	int master_is_running;
	int slave_is_running;
	double requested_time;
	double reached_time;
/*
Die Datei cemos_com.inc muss fuer beide Modelle (Master und Slave identisch sein
und definiert die Variablen, ueber die der Austausch zwischen beiden Modellen erfolgt.
*/
#if defined (__with_slave__)
#include "cemos_com.inc"
#endif
} shared_use_st;

