/***********************************************************************
**                                                                    **
** CEMoS Version 4.1.2 Copyright(C) 2023 Frank Hamberg, Cora Kohlmeier**
**                                                                    **
***********************************************************************/
#include "types.h"

#ifdef DOS
#ifndef __ignore_fminmax
double fmin(double,double);
double fmax(double,double);
#endif
#endif

/*Only for compatibility */
void nrerror(const char error_text[]);

long int strpos(char*,char*);
int numchar(char*,char*);
char *strmid(char*,int,int);
void make_local(real***,real**,real*,real*);
void make_global(real*,real*,real**,real***);
void make_local_0D_states(void);
void make_local_0D_rates(void);
void make_global_0D_states(void);
void make_global_0D_rates(void);
int set_flags(char *,int *);
void strtrim(char*);
char *strclip(char*);
void expand(char*);


real fsign(real);
real modulo(real,real);
real my_sscan(char *);
int read_csv(char*,int,real*);
int cpp2c(char*,char*);
real lin_int(real *,real *,int *);
real lin_int_2(real,real *,real *,int *);
real no_interpolation(int,real *,real *,int *);
real no_interpolation_2(int,real ,real *,real *,int *);

real no_int(real *,real *,int *);
real no_int_2(real, real *,real *,int *);

real correct_year(real);

