/***********************************************************************
**                                                                    **
** CEMoS Version 4.1.2 Copyright(C) 2023 Frank Hamberg, Cora Kohlmeier**
**                                                                    **
***********************************************************************/
#include "stdinc.h"
#include "constructs.h"
#include "prepare.h"


void get_list(char *filename,char *search,int max_len,int *flags)
{

   FILE *para_file;
   char *helpstr, *input,*list;
   int bp1,i;
   int found=-1;
   input=(char *) malloc(_BUFSIZE_*sizeof(char));
   helpstr=(char *) malloc(100*sizeof(char));
   list=(char *) malloc(_BUFSIZE_*sizeof(char));

   for (i=1;i<=max_len;i++) flags[i]=0;
   para_file=fopen(filename,"rb");

/* search-Block suchen */
   while (found < 0)
      {
      if (fgets(helpstr,100,para_file) == 0) goto stop_label;
      found=strpos(helpstr,search);
      }

/* Nach Variablen suchen, deren Inhalt geaendert werden soll */

      if (found >= 0)
       {
       bp1=(int) strlen(search)+1;
       sprintf(list,"%s",strmid(helpstr,bp1,(int) strlen(helpstr)-bp1));
       set_flags(list,flags);
       }

    stop_label:
    free(input);
    free(helpstr);
    free(list);
    fclose(para_file);
}

