# CEMOS/CEMTK 5.0 Copyright(C) 2022 Cora Kohlmeier, Frank Hamberg
proc cev_check_best {} {
global cev_resultdir rndstop bestdist absbestdist
global difftype counter init GUI oldtype broken

set filed $cev_resultdir/best.dist
# Default schreiben, wenn noch nichts da ist
 if ![file exist $filed] {
        set wid [open $filed w]
		puts $wid "set bestdist inf"
		puts $wid "set difftype $difftype"
		puts $wid "set counter 0"
        puts $wid "set changecounter 0"
        puts $wid "set broken 0"		
        close $wid
}

# Werte aus best.dist einlesen
cev_read_best
if ![info exists oldtype] {set oldtype $difftype}
# Counter aktualisieren
cev_read_count

# Pruefen, ob Fortsetzung sinnvoll ist
if {$oldtype!=$difftype} {

       if {$GUI==1} {
	       put "**********************************************************" 
	       put "Last best.outc calculated with different distance (No. $oldtype) !!" 
	       put  "Press Reset"
	       put "**********************************************************" 
	       set rndstop 1 
        } else {
	       puts "**********************************************************" 
	       puts "Last best.outc calculated with different distance (No. $oldtype) !!" 
	       puts "Excecute cev --reset"
	       puts "**********************************************************" 
           exit
        } 
}
}
