# CEMOS/CEMTK 5.0 Copyright(C) 2022 Cora Kohlmeier, Frank Hamberg
proc cev_readpar {name} {
global pwd
global modelhome modelhomeabs
global cemhome cemospar
global firstread
global cevvar cevvalfrom cevvalfromrem cevval cevvalto cevvaltorem cevvalrem cevvarnum cevcom cevstart
global c2 series
global enable_series
global active
set enable_series 0
set series 0

# global sum
if [file exist $name] {
  set ff [open $name]
    
  set pc 0

  while {[gets $ff line] >=0} {

#    Zwei Notationen erlaubt
#    1. series notation         var:from:to:inc /*comment*/ (:startvalue);
#    2. parameter wie in .def-file  par=value; /*comment*/

    if [string match *:* $line] {set cevtype series} else {set cevtype parameter}

    set line [split $line =\;:]

    if {[lindex $line 0]!=""} {
    
        set cevvar($pc) [lindex $line 0]

#  set sum($pc) 0

        if {$cevtype=="parameter"} {
              set cevval($pc) [format "%s" [lindex $line 1]] 
              set cevvalfrom($pc) $cevval($pc) 
              set cevvalto($pc) $cevval($pc)
              set com [string trim [lindex $line 2]]
              set cevstart($pc) $cevval($pc) 

        } else {

             set cevvalfrom($pc) [format "%s" [lindex $line 1]]
             set cevvalto($pc) [string trim [lindex $line 2]]
             set cevval($pc) [expr ($cevvalto($pc) + $cevvalfrom($pc))/2.0]
             set com [string trim [lindex $line 3]]
             set startval [string trim [lindex $line 4]]

              if {$startval !=""} {
                      if {$startval >= $cevvalfrom($pc) &&  $startval <= $cevvalto($pc)} {set cevval($pc) $startval}
             }
        }

        set cevstart($pc) $cevval($pc) 
        set cevvalrem($pc) $cevval($pc)
        set cevvalfromrem($pc) $cevvalfrom($pc)
        set cevvaltorem($pc) $cevvalto($pc)

        set com [string trimright $com */]
        set com [string trimleft  $com /*]
        set com [string trim  $com]		
        set cevcom($pc) $com
        set active($pc) 1
        
	set cevvarnum $pc
	#puts "cevvarnum $cevvarnum"
	incr pc
    }
  }
  close $ff
  set pc [expr $pc -1]
  
} else {

puts "cev_readpar: Parameter file $name does not exist !!"

}
}


