# CEMOS/CEMTK 5.0 Copyright(C) 2022 Cora Kohlmeier, Frank Hamberg
proc integpar {} {
global env cemhome pwd modelhome cemoshome modelhomeabs
global font lfont
global geom
global command
global debug bg c2
global multi maxmulti
global allbuts

# Menuentries
#############
global mmax mmet macc
global mend mout mstr

set maxmulti 15
frame .topp.sim.int -bg $c2
pack .topp.sim.int -after .topp.sim.sim -side left

frame .topp.sim.int.par -bg $c2
pack .topp.sim.int.par -ipady 5 -side left


menubutton .topp.sim.int.par.end -text Endtime -menu .topp.sim.int.par.end.menu \
           -font $lfont -bg $c2 -relief raised
pack .topp.sim.int.par.end -side left
set mend [menu .topp.sim.int.par.end.menu -tearoff 0]
setendmenu
lappend allbuts .topp.sim.int.par.end

menubutton .topp.sim.int.par.outd -text Outdelt -menu .topp.sim.int.par.outd.menu \
           -font $lfont -bg $c2 -relief raised
pack .topp.sim.int.par.outd -side left
set mout [menu .topp.sim.int.par.outd.menu -tearoff 0]
setoutmenu
lappend allbuts .topp.sim.int.par.outd


menubutton .topp.sim.int.par.stor -text Storetime -menu .topp.sim.int.par.stor.menu \
           -font $lfont -bg $c2 -relief raised
pack .topp.sim.int.par.stor -side left
set mstr [menu .topp.sim.int.par.stor.menu -tearoff 0]
setstrmenu
lappend allbuts .topp.sim.int.par.stor


menubutton .topp.sim.int.par.multi -text Multi -menu .topp.sim.int.par.multi.menu \
           -font $lfont -bg $c2 -relief raised
pack .topp.sim.int.par.multi -side left
set mmul [menu .topp.sim.int.par.multi.menu -tearoff 0]
set labels {1 2 3 4 5 6 7 8 9 10 11 12 13 14 15}
for {set i 1} {$i <=$maxmulti} {incr i} {
  $mmul add radio -font $lfont -label $i -variable multi \
               -command {WritePar;setmenu;textinfo "multi=$multi" }
}
lappend allbuts .topp.sim.int.par.multi

set record .topp.sim.int.parm
frame $record -bg $c2
pack $record -fill x -side left -ipady 5
set side left

# MAXDELT
#########

menubutton $record.maxd -text Maxdelt \
            -menu $record.maxd.menu \
          -font $lfont -bg $c2 -relief raised
pack $record.maxd -side $side

set mmax [menu $record.maxd.menu -tearoff 0]
setmaxmenu
lappend allbuts $record.maxd

# METHOD
#########
menubutton $record.meth -text Method \
            -menu $record.meth.menu \
          -font $lfont -bg $c2 -relief raised
pack $record.meth -side $side

set mmet [menu $record.meth.menu -tearoff 0]
setmetmenu
lappend allbuts $record.meth

# ACCURACY
##########

menubutton $record.acc -text Accuracy \
            -menu $record.acc.menu \
         -font $lfont  -bg $c2 -relief raised
pack $record.acc -side $side

set macc [menu $record.acc.menu -tearoff 0]
setaccmenu
lappend allbuts $record.acc

}

