# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc make_legendtext {j} {
global timewin
global actstart
global legendtext
global filename filelist longnames
global xmin xmax

if {$longnames==0} {
  set legendtext(1) [file rootname [file tail $filename(1)]]
} else {
  set legendtext(1) $filename(1)
}

set leg(1) 0
set leg(2) 0
set leg(3) 0

scan $xmin %u as(1)
scan $xmax %u ae(1)

if [info exist filename(2)] {
  if {$longnames==0} {
   set legendtext(2) [file rootname [file tail $filename(2)]]
}  else {
   set legendtext(2) $filename(2)
}


   scan $actstart(2) %u as(2)
   scan [expr $actstart(2) +$timewin] %u ae(2)
   if {$actstart(1) != $actstart(2)} {
       append legendtext(1) " from $as(1) to $ae(1)"
       set leg(1) 1
       append legendtext(2) " from $as(2) to $ae(2)"
       set leg(2) 1
   }
}

if [info exist filename(3)] {
   if {$longnames==0} {
   set legendtext(3) [file rootname [file tail $filename(3)]]
  }  else {
    set legendtext(3) $filename(3)
  }
   scan $actstart(3) %u as(3)
   scan [expr $actstart(3) +$timewin] %u ae(3)

   if {$actstart(1) != $actstart(3) || $actstart(2) != $actstart(3) } {
       append legendtext(3) " from $as(3) to $ae(3)"
       set leg(3) 1
       if {$leg(1) ==0} {append legendtext(1) " from $as(1) to $ae(1)"}
       if {$leg(2) ==0} {append legendtext(2) " from $as(2) to $ae(2)"}
   }
}

for {set k 4} {$k<= [lindex $filelist end]} {incr k} {

  if [info exist filename($k)] {

   if {$longnames==0} {
      set legendtext($k) [file rootname [file tail $filename($k)]]
   }  else {
      set legendtext($k) $filename($k)
   }

       scan $actstart($k) %u as($k)
       scan [expr $actstart($k) +$timewin] %u ae($k)
       append legendtext($k) " from $as($k) to $ae($k)"

       for {set l 1} {$l<=3} {incr l} {
         if {$leg($l) ==0} {set leg($l) 1;append legendtext($l) " from $as($l) to $ae($l)"}
       }
  }
}

}


