# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc valu_control {} {
global can
global outd
global starttime endtime
global actstart timewin
global filename dataname filelist
global numharm maxharm minharm harmend startharm harm
global valu multiset
global showbars showdata
global allyear allboxes
global buttonFont
global onewindow ovc


frame $ovc.left.toggle
pack $ovc.left.toggle -pady {0 5} -fill x

button $ovc.left.toggle.kdiff  -font $buttonFont -text {Start KDiff3} -command {launch_kdiff3}
pack $ovc.left.toggle.kdiff -fill x -pady {0 5}

checkbutton $ovc.left.toggle.multi  -font $buttonFont -text {multiple sets} \
       -variable multiset -anchor w \
       -command {
                bind_multiset $multiset
		set eraseallsets 1
                makecommand -1 -1
		set valu 0
		set spectrum 0
		destroy .valu
		set spectrum 1
		if [winfo exist $ovc.left.set.fourier] {$ovc.left.set.fourier invoke} else {set spectrum 0}
# 		if {$multiset==1} {$ovc.right.misc.gp configure -state disabled} else {$ovc.right.misc.gp configure -state normal}
                makecommand -1 -1
		}

pack $ovc.left.toggle.multi -fill x -pady {0 5}

checkbutton $ovc.left.toggle.val  -font $buttonFont -text {VALIDATION} -fg darkred \
       -variable valu -anchor w \
       -command {
       valuset
       set spectrum 1
       if [winfo exist $ovc.left.pk.fourier] {
          $ovc.left.pk.fourier invoke
         } else {
          set spectrum 0
          interpret
		 }
       if [winfo exist .valu] {wm iconify .valu}
       #$ovc.right.misc.gp configure -state normal
        }

pack $ovc.left.toggle.val -fill x
checkbutton $ovc.left.toggle.showval -font $buttonFont -text {Show Data Files} -variable showdata -anchor w -command {
	 if {$showdata==1} {
		 if [winfo exist .valu ] {wm deiconify .valu; raise .valu} 
		} else {
		 if [winfo exist .valu ] {wm iconify .valu}
		}
	}
pack $ovc.left.toggle.showval -fill x
$ovc.left.toggle.showval configure -state disabled 

frame $ovc.left.toggle.all 
pack $ovc.left.toggle.all -anchor w -fill x
checkbutton $ovc.left.toggle.all.allboxes  -font $buttonFont -text {all boxes    } \
       -variable allboxes  -relief flat \
       -command {interpret}
pack $ovc.left.toggle.all.allboxes -side left -fill x

checkbutton $ovc.left.toggle.all.allyear  -font $buttonFont -text {all years    } \
       -variable allyear  -relief flat \
       -command {interpret}
pack $ovc.left.toggle.all.allyear -side left -fill x

frame $ovc.left.toggle.bl 
pack $ovc.left.toggle.bl -anchor w -fill x

checkbutton $ovc.left.toggle.bl.bars  -font $buttonFont -text {show bars  } \
       -variable showbars -anchor w \
       -command {interpret}
pack $ovc.left.toggle.bl.bars -side left -fill x

checkbutton $ovc.left.toggle.bl.line  -font $buttonFont -text {show line  } \
       -variable showline -anchor w \
       -command {interpret}
pack $ovc.left.toggle.bl.line -side left -fill x

}
