# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc axis_buttons {} {
global buttonFont
global ovc

checkbutton $ovc.right.misc.pax  -font $buttonFont -text {pretty y-axis} \
       -variable prettyaxis  -anchor w \
       -command {interpret}
pack $ovc.right.misc.pax  -fill x -pady {0 5} -anchor w

checkbutton $ovc.right.misc.soz  -font $buttonFont -text {start on zero} \
       -variable startonzero  -anchor w \
       -command {interpret}
pack $ovc.right.misc.soz  -fill x -pady {0 5} -anchor w

checkbutton $ovc.right.misc.ax  -font $buttonFont -text {same y-axis} \
       -variable sameaxis  -anchor w \
       -command {interpret}
pack $ovc.right.misc.ax  -fill x -pady {0 5} -anchor w

checkbutton $ovc.right.misc.xgrid  -font $buttonFont -text {x-grid} \
       -variable xgrid  -anchor w \
       -command {interpret}
pack $ovc.right.misc.xgrid  -fill x -pady 2 -anchor w

checkbutton $ovc.right.misc.ygrid  -font $buttonFont -text {y-grid} \
       -variable ygrid  -anchor w \
       -command {interpret}
pack $ovc.right.misc.ygrid  -fill x -pady 2 -anchor w


label $ovc.right.misc.axtext  -font $buttonFont -text "y-axis max"
pack $ovc.right.misc.axtext -anchor w
set t [entry $ovc.right.misc.ymax -width 12 -textvariable fixymax ]

pack $ovc.right.misc.ymax  -anchor w
bind $ovc.right.misc.ymax <Return> "interpret"


label $ovc.right.misc.axtext0  -font $buttonFont -text "y-axis min"
pack $ovc.right.misc.axtext0  -anchor w
set t [entry $ovc.right.misc.ymin -width 12 -textvariable fixymin ]

pack $ovc.right.misc.ymin -anchor w
bind $ovc.right.misc.ymin <Return> "interpret"

checkbutton $ovc.right.misc.fg  -font $buttonFont -text {only first graph} \
       -variable firstaxis  -anchor w \
       -command {interpret}
pack $ovc.right.misc.fg  -fill x -pady {0 5} -anchor w


}
