# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc geomap_ersem {}  {
global mapcoor canvas toolflag moviehome can

image create photo northsea -file $moviehome/film/geomap/nordsee$can.gif
if [winfo exist .ts] {
  image create photo northsea -file $moviehome/film/geomap/nordsee400.gif
}
set item [$canvas create image 0 0  -image northsea -anchor nw]
$canvas addtag gif withtag $item

}

########################################################################
proc geomap_ecotim {} {
global moviehome canvas can

#image create photo logo -file $moviehome/film/geomap/logo_watt_trans.gif
#set item [$canvas create image 10 [expr $can -80]  -image logo -anchor nw]
#$canvas addtag gif withtag $item

set wid [open "$moviehome/film/mapecotim/mapecotim.dat" r]

for {set i 1} {$i<=13} {incr i} {
 set co($i) [gets $wid]
}
close $wid

set fillcolor #dbd5ab

#Randboxen
#8 NordWest
#9 West
#10 Ost

set rand "8 9 10"
foreach item $rand {
set polygon $co($item)
$canvas create poly [scalepolygon $polygon] -fill grey -outline black
}

# Landboxen
# 11: Festland
# 12 Langeoog
#13 Spiekeroog

set land "11 12 13"
foreach item $land {
  set polygon $co($item)
  $canvas create poly [scalepolygon $polygon] -fill $fillcolor -outline black
}
}

########################################################################

proc geomap_ecotim2 {} {
global moviehome canvas can

# Randboxen

set wid [open "$moviehome/film/mapecotim2/ostrand.dat" r]
set polygon  [gets $wid]
set item [$canvas create poly [scalepolygon $polygon] -fill grey -outline grey]
$canvas lower $item

set fillcolor #dbd5ab
# Inseln und Land als Hintergrund
set polygon "120 10 265 10 265 87 120 87 120 10"
set item [$canvas create poly [scalepolygon $polygon] -fill $fillcolor -outline $fillcolor]
# geomap in den Hintergrund

$canvas lower $item

#Umrandung
set polygon "120 10 265 10 265 87 120 87 120 10"
set item [$canvas create line [scalepolygon $polygon] -width 2 -fill black]

#Umrandung
#set polygon "120 10 265 10 265 87 120 87 120 10"
#$mf.left.plot  create rect  [nnx 120] [nnyx 10] [nnx 265] [nnyx 87]  -outline black -width 2
 
}
