# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc mapecotim {} {
global map
global can moviehome

global xmin xmax ymin ymax xdelt ydelt
global upper lower obj actbox numpos
global mapname

set mapname mapecotim

if [info exists map] {unset map}

set xmin 170
set xmax 265

set xdelt [expr $xmax -$xmin]

set ymin  0
set ymax 88
set ydelt [expr $ymax -$ymin]


set upper {1 2 3 4 5 6 7}
set lower {1 2 3 4 5 6 7}

set actbox 7
set obj poly

set wid [open "$moviehome/film/mapecotim/mapecotim.dat" r]

for {set i 1} {$i<=7} {incr i} {
 set co($i) [gets $wid]
}

close $wid

set wid [open "$moviehome/film/mapecotim/numecotim.dat" r]
set num [gets $wid]
close $wid

set num [scalepolygon $num]

for {set i 1} {$i <= 7} {incr i} {
   set x [lindex $num [expr 2*($i-1)]]
   set y [lindex $num [expr 2*($i-1)+1]]

   set numpos($i) "$x $y"
}

foreach i $upper {
   set map($i) [scalepolygon $co($i)]
}

createboxes
geomap_ecotim
}


