# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc mapsquare {} {
global map
global can
global moviehome
global xmin xmax ymin ymax xdelt ydelt
global upper lower obj actbox numpos
global mapname

set mapname mapsquare

if [info exists map] {unset map}

set xmin -5
set xmax 55
set xdelt [expr $xmax -$xmin]

set ymin 55
set ymax -5
set ydelt [expr $ymax -$ymin]
set actbox 2500
set xbox 50
set ybox 50
set obj rect

set upper ""
for {set i 1} {$i <= $actbox} {incr i} {lappend upper $i}

set lower $upper

set k 0
for {set i 1} {$i <= $xbox} {incr i} {
  for {set j 1} {$j <= $ybox} {incr j} {

     incr k
     lappend map($k) [nnx [expr $i-1]]
     lappend map($k) [nny [expr $j-1]]
     lappend map($k) [nnx $i]
     lappend map($k) [nny $j]
#     set numpos($k) "[nnx $i] [nny $j]"
     set numpos($k) "-99 -99"
   }
}

createboxes
}

