# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc running_mean {dat a} {
global outdelt
global run


if {$run<=0} {set run 7}
scan [expr $run/$outdelt($a)] %d anz

if {$anz==0} {
   textinfo "Running mean value smaller than outdelt" 1
   return $dat
}


set len [llength $dat]

set sum 0

for {set i 0} {$i<$len} {incr i} {

    set sum [expr $sum + [lindex $dat $i]]

    if {$i<$anz} {
       lappend help [lindex $dat $i]
    } else {
       set sum [expr $sum - [lindex $dat [expr $i-$anz]]]
       lappend help [expr $sum/$anz]
    }
}

return $help
}


proc step_calc {dat a what} {
global outdelt
global step sum_step stepmean

if {$what=="mean"} {set lstep $step} else {set lstep $sum_step}

if {$lstep<=0} {set lstep 1}

scan [expr $lstep/$outdelt($a)] %d anz

if {$anz < 1} {return $dat}

set len [llength $dat]

set sum 0
set count 1
set help ""
set helplen 0

for {set i 0} {$i<$len} {incr i} {

    set sum [expr $sum + [lindex $dat $i]]

    if {$count<$anz} {
       incr count
    } else {
       if {$what=="mean"} {
         set sum [expr $sum/$anz]
       }
       for {set j 0} {$j<$anz} {incr j} {
          lappend help $sum
	  incr helplen
       }
       set sum 0
       set count 1
    }
}

# Auffuellen der letzte Indexe
for {set j 0} {$j<[expr $len - $helplen]} {incr j} {
#  lappend help 0
  lappend help [lindex $help end]
}

return $help
}

