# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc graphsettings {} {
global gc can
global scalefacX scalefacY scaleX scaleY vertoff
global plotFontN plotFontS plotFontT
global boldFontN boldFontS boldFontT
global plotFont boldFont

set can10 [expr $can/10]
set can20 [expr $can/20]
set can30 [expr $can/30]
set can2 [expr $can/2]
set can3 [expr $can/3+$can30]
set can6 [expr 2.0*$can/3]

switch $gc {
0 {set plotFont $plotFontN
   set boldFont $boldFontN
   set scalefacX 1
   set scalefacY 1
   set vertoff 15}

1 {set plotFont $plotFontN
   set boldFont $boldFontN
   set scalefacX 1
   set scalefacY 0.4
   set scaleX "0 0"
   set scaleY "0 $can2"
   set vertoff 35}

2 {set plotFont $plotFontS
   set boldFont $boldFontS
   set scalefacX 0.4
   set scalefacY 0.4
   set scaleX "$can20 $can2 $can20"
   set scaleY "$can20 $can20 $can2"
   set vertoff 35

   set plotFont $plotFontS
   set boldFont $boldFontS
   set scalefacX 1
   set scalefacY 0.25
   set scaleX "0 0 0"
   set scaleY "$can20 $can3 $can6"
   set vertoff 35

   }


3 {set plotFont $plotFontS
   set boldFont $boldFontS
   set scalefacX 0.4
   set scalefacY 0.4
   set scaleX "$can20 $can2 $can20 $can2"
   set scaleY "$can20 $can20 $can2 $can2"
   set vertoff 35}

}
if {$gc > 3} {
   set plotFont $plotFontT
   set boldFont $boldFontT
   set scalefacX 0.25
   set scalefacY 0.4
   set scaleX "$can20 $can3 $can6 $can20 $can3 $can6"
   set scaleY "$can20 $can20 $can20 $can2 $can2 $can2"
   set vertoff 35
}

if {$gc > 5} {
   set plotFont $plotFontT
   set boldFont $boldFontT
   set scalefacX 0.25
   set scalefacY 0.25
   set scaleX "$can20 $can3 $can6 $can20 $can3 $can6 $can20 $can3 $can6"
   set scaleY "$can20 $can20 $can20 $can3 $can3 $can3 $can6 $can6 $can6"
   set vertoff 35
}

}


