# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc makeheader {a} {
global longname lunit lbox time
global toolflag logflag

set a [string tolower $a]
if { [string first + $a] >=0 || [string first * $a] >=0 || \
     [string first - $a] >=0 || [string first / $a] >=0} {return $a}

 set pos [string first ( $a]
 set last [string first ) $a]
 set b [string range $a 0 [expr $pos-1]]
 set c [string range $a [expr $pos+1] [expr $last-1]]


if {($toolflag == "film" || $toolflag == "contour")} {
 set b $a
}

if [info exist lbox($b)] {
  if {$lbox($b)==""} {set lbox($b) Box}
} else {
  set lbox($b) ""
}

if [info exist longname($b)] {

  if {$lunit($b) !=""} {set unit \[$lunit($b)\]} else {set unit ""}
  switch $toolflag {
   contour {set header "$longname($b)   \[$lunit($b)\]"}
   film    {set header "$longname($b)   \[$lunit($b)\]"}
   profile {set header "$longname($b)   \[$lunit($b)\]   Time: $time" }
   profcom {set header "$longname($b)   \[$lunit($b)\]   Time: $time" }
   default {if {$c!="0"} {
                set header "$longname($b)   $lbox($b) $c   $unit"
            } else {

                set header "$longname($b)    $unit"
            }

            }
  }

} else {
  if {$c=="0"} {set a $b}
   switch $toolflag {
   profile {set header "$b   Time: $time" }
   profcom {set header "$b   Time: $time" }
   default {set header $a}
  }
}

if {$logflag==1} {set header "$header LOGSCALE"}
return $header
}


