# MOVIE 5.0 Copyright (C) 2020, Cora Kohlmeier, Frank Hamberg

proc normal_var_selector {} {
global DOS
global can
global varlist boxlist nicevarlist
global comvarlist comboxlist
global varrem boxrem
global boxwin varwin
global newset newgraph
global toolflag
global filename
global casesensitive
global boxFont
global varbut boxbut var_butwid_extra box_butwid_extra
global buttoncolor
global onewindow bs vs

#update    

# Variable Selector Selector
#---------------------------

if [winfo exist .vs] {destroy .vs}
if {$onewindow==0} {
set vs .vs
toplevel $vs
wm title $vs {Variable Selector}
wm geometry $vs "+[expr $can+400]+350"
wm group $vs .
wm transient $vs .
wm protocol $vs WM_DELETE_WINDOW exit
} 
  
#wm focusmodel $vs active
set count 0
set framecount 1

frame $vs.$framecount
pack $vs.$framecount -fill x

set l [llength $comvarlist]

set col 2
if {$l > 10} {set col 5}
if {$l > 125} {set col 8}
if {$l > 240} {set col 10}

set varbut ""

set letter [string index [lindex $comvarlist 0] 0]

set col1 black
set col2 darkred

if {$l>10} {
set butwid 3
} else {
set butwid 10
}

foreach var $comvarlist {
set butid [string tolower $var]
set butwid [max $butwid  [string length $var]]

if {[winfo exists $vs.$framecount.$butid] == 0} {

   set offset [expr fmod($count,$col) ]
   set count [expr $count+1]

  if {$offset ==0} {
      set framecount [expr $framecount+1]
      frame $vs.$framecount
      pack $vs.$framecount -fill x
  }

set textcol black
if  [info exist buttoncolor($butid)] {
    if  {$buttoncolor($butid) !=""} {
      set textcol $buttoncolor($butid)
    }
}
set padx 0
#   if {[string length $var] <= 3} {set padx 15} else {set padx 0}
   button $vs.$framecount.$butid -text $var \
          -font $boxFont -fg $textcol \
          -command "makecommand $var -1;disablestart"

   pack $vs.$framecount.$butid -side left -fill x -ipadx $padx

   if {$toolflag == "overview" || $toolflag == "phase" || $toolflag == "profile"} {
      bind $vs.$framecount.$butid <2> {tkButton2Down %W}
      bind $vs.$framecount.$butid <ButtonRelease-2> \
              "set newset 1;makecommand $var -1;tkButton2Up %W"

# For systems without 2nd mouse button
      bind $vs.$framecount.$butid <Shift-1> "set newset 1;makecommand $var -1"



   }

   if {$toolflag != "film" && $toolflag != "contour" && $toolflag != "phase"} {
     bind $vs.$framecount.$butid <3> {tkButton3Down %W}
     bind $vs.$framecount.$butid <ButtonRelease-3> \
              "set newgraph 1;makecommand $var -1;tkButton3Up %W"

# For systems without 3rd mouse button
     bind $vs.$framecount.$butid <Control-1> "set newgraph 1;makecommand $var -1"

   }
   lappend varbut $vs.$framecount.$butid
   }
}
pack $vs.$framecount -fill x
    

set ll [winfo children $vs]

if [info exists varwin] {unset varwin}

foreach l $ll { append varwin [winfo children $l] " "}
if {[llength $varwin]==0} {textinfo "No common variables" 1}

set butwid [expr $butwid + $var_butwid_extra]

foreach but $varbut { $but config -width $butwid -padx 1}

      
 makecommand [lindex $comvarlist 0] [lindex $comboxlist 0]
 #makecommand -1 -1

}


