# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc readnameinfo {} {
global longname lunit lbox buttoncolor
global moviehome pwd

if [file exists $pwd/name.info] {
   set name $pwd/name.info
} else {
   set name $moviehome/../info/name.info
}

if [file exists $name] {
  set ff [open $name]
  while {[gets $ff line] >=0} {
    set help [split $line :]

    set longname([string tolower [lindex $help 0]]) [lindex $help 1]
    set lunit([string tolower [lindex $help 0]]) [lindex $help 2]
    set lbox([string tolower [lindex $help 0]])  [lindex $help 4]
    set buttoncolor([string tolower [lindex $help 0]]) [string trim [lindex $help 5]]


  }
  close $ff
}
}


