# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

# Text chapter
proc ScrolledText { f width height } {
global textFont

#	frame $f -width 200
#	grid $f -row 0 -column 0 -sticky news
	# The setgrid setting allows the window to be resized.
	eval {text $f.text -width $width -height $height \
		-setgrid false -wrap none \
		-xscrollcommand [list $f.xscroll set] \
		-yscrollcommand [list $f.yscroll set] \
                -font $textFont}
	scrollbar $f.xscroll -orient horizontal \
		-command [list $f.text xview]
	scrollbar $f.yscroll -orient vertical \
		-command [list $f.text yview]
	grid $f.text -row 0 -column 0 -sticky news
	grid $f.xscroll -row 1 -column 0 -sticky news
	grid $f.yscroll  -row 0 -column 1 -sticky news
	# The fill and expand are needed when resizing.
	return $f.text
}
proc ScrolledTextTest {} {
    catch {destroy .f}
    set t [ScrolledText .f 40 8]
    set in [open /etc/passwd]
    $t insert end [read $in]
    close $in
}


