# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc calc_prof_ext {j {a 1}} {
global ymin ymax
global singleresult command


if {$a==1} {
  set ymax($j) [lindex $singleresult([lindex $command($j) 0]) 0]
  set ymin($j) ymax($j)
}

foreach selectvar $command($j) {
     set ymax($j) [max [lmax $singleresult($selectvar)] $ymax($j)]
     set ymin($j) [min [lmin $singleresult($selectvar)] $ymin($j)]
}

if {$ymax($j)==""} {set ymax($j) 0}
if {$ymin($j)==""} {set ymin($j) 0}

}


proc calc_glob_prof_ext {} {
global ymin ymax
global gc
global timemaxflag timemin timemax

set ymaxhelp $ymax(0)
set yminhelp $ymaxhelp

if {$timemaxflag ==1} {
   for {set j 0} { $j <= $gc } {incr j} {
     set ymaxhelp [max $ymaxhelp $timemax($j)]
     set yminhelp [min $yminhelp $timemin($j)]
   }
} else {
   for {set j 0} { $j <= $gc } {incr j} {
     set ymaxhelp [max $ymaxhelp $ymax($j)]
     set yminhelp [min $yminhelp $ymin($j)]
   }
}
for {set j 0} { $j <= $gc } {incr j} {
     set ymax($j) $ymaxhelp
     set ymin($j) $yminhelp
}

}


