/***********************************************************************
**                                                                    **
** CEMoS Version 4.1.2 Copyright(C) 2023 Frank Hamberg, Cora Kohlmeier**
**                                                                    **
***********************************************************************/
#define __USE_FIXED_PROTOTYPES__
#ifndef _PREP_TYPES_
#define _PREP_TYPES_ 
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <values.h>
#include <ctype.h>

typedef char name[13];
typedef char string[120];
typedef char long_name[80];

long int strpos();
char *strmid();
char *strclip(char*);
void make_local(float**,float*);
void make_global(float*,float**);
 
/*double fmax(double,double);
double fmin(double,double);*/
float fsign(float);
float modulo(float,float);
float my_sscan(char *);
int numchar(char*,char*);
int check_keyword(int*,const char*);
void expand(char*);
int get_entries(int*,string,string);
#endif

#define INTEGPARFILE ".sensitivity.par"
#define PARAMTMPFILE "./.tmp/.parfile.tmp"
#define PARAMCFILE "./.tmp/parfile.c"

#define PARAMTMPFILE_SUB "./.tmp/.parfile.tmp"
#define PARAMCFILE_SUB "./.tmp/parfile.c"
#define MAX_DIMENSION 3

