/***********************************************************************
**                                                                    **
** CEMoS Version 4.1.2 Copyright(C) 2023 Frank Hamberg, Cora Kohlmeier**
**                                                                    **
***********************************************************************/
#include "stdinc.h"
#include "constructs.h"
#include "prepare.h"
#include "types.h"

real my_sscan(char* input)
{
char buffer[2048];
char buffer1[2048];
real value=0;
float value1;
double value2;
int length,input_length;
length=sizeof(real);
input_length=strlen(input)-1;
/* Hier muss aus nicht geklärten Gründen input auf buffer1, dieser nach buffer verarbeitet und input wieder zurückgeschrieben werden
 * da sonst das erste Zeichen von input verloren geht
*/

sprintf(buffer1,"%s",input);
sprintf(buffer,"%s",strmid(buffer1,1,input_length));
sprintf(input,"%s",buffer1);

 if (strpos(input,"/") >= 0 || strpos(input,"*") >= 0 || strpos(input,"#") >= 0 ||
    ((strpos(buffer,"-") > 0 && (strpos(input,"e-") < 0 && strpos(input,"E-") < 0) )) ||
    ((strpos(buffer,"+") > 0 && (strpos(input,"e+") < 0 && strpos(input,"E+") < 0))) )
{
    printf("Error in line containing: %s\n",input);
    std_error("Expression instead of value (ms0)");
}	
    
if (length==sizeof(float))
 {
 sscanf(input,"%g",&value1);
 value=(real) value1;
 }

if (length==sizeof(double))
 {
 sscanf(input,"%lg",&value2);
 value=(real) value2;
 }
if (length==sizeof(long double))
 {
 sscanf(input,"%lg",&value2);
 value=(real) value2;
 }

return(value);
}

