# CEMOS/CEMTK 5.0 Copyright(C) 2022 Cora Kohlmeier, Frank Hamberg
#--------------------
# Compare Results
#--------------------
proc cev_compare_results {file2} {
global difftype cevlog rndrun broken GUI changecounter counter
global simname outputtype 


# Auslesen der letzten Log Meldung, ob Lauf abgebrochen.
#Dann auf Bestwerte neu initialisieren und erst mal keine Distanz berechnen

set doit 1
set distance -9999

if [info exist cevlog] {
set loglist [split $cevlog "\n"]
        foreach item $loglist {
                if {[string match  {*now exiting to the system*} $item] || [string match  {*child process exited abnormally*} $item] } {set doit 0}
        }
}
put $cevlog

if {$doit==1} {
      if {$difftype<=10}  {
          set distance [cev_compare_results_point $file2] 
          if {$distance <0 } { set distance -9999;set doit 0}
      } else {
          set distance [cev_compare_results_l2 $file2]
          if {$distance <0 } { set distance -9999;set doit 0}
      }  


} 

if {$doit==0} {
        incr broken
        cev_write_count
        cev_reset_tobest
        put " Run corrupted, No distance calculated !!!"
        put " Reset to best parameters !!!"
}

return $distance
}


