/* MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg */

#include "stdinc.h"

void matr_transpose(real **in_matrix,real **out_matrix,int start_line,int end_line,int start_row,int end_row)
{
/* Input :  real **in_matrix	Pointer to input matrix dimension num_lines,num_rows
                int start_col		number of first column of input matrix
                int num_cols		number of last column of input matrix
	        int start_row		number of first row of input matrix
	        int end_row		number of last row of input matrix
   Output: real **out_matrix	Values are written to out_matrix

*/
int i,j;

for (i=start_line; i<=end_line; i++)
    {
    for (j=start_row; j<=end_row; j++)
        {
        out_matrix[j][i] = in_matrix[i][j];
	}
    }
}

