# CEMOS/CEMTK 5.0 Copyright(C) 2022 Cora Kohlmeier, Frank Hamberg
proc activate {list} {
global lfont
foreach item $list {
  if [winfo exist $item] {$item configure -state normal}
}
}

proc deactivate {list} {
foreach item $list {
  if [winfo exist $item] {$item configure -state disabled}
}
}

proc configtext {list nfont} {

foreach item $list {
  if [winfo exist $item] {$item configure -font $nfont}
}
}

proc activate_start {} {
global pwd DOS stopbut allbuts

if {$DOS==0 || $DOS==2} {
### toter Code bzw. übersteuert durch irgendwas mit allbuts
   if [winfo exist .topp.sim] {
      if [file exist $pwd/cemos-model] {
        if [winfo exist .topp.sim.sim] {.topp.sim.sim config -state normal}
        if [winfo exist .topp.sim.bat] {.topp.sim.bat config -state normal}
        if [winfo exist .topp.sim.cin] {.topp.sim.cin config -state normal}
      } else {
        if [winfo exist .topp.sim.sim] {.topp.sim.sim config -state disabled}
	    if [winfo exist .topp.sim.bat] {.topp.sim.bat config -state disabled}
        if [winfo exist .topp.sim.cin] {.topp.sim.cin config -state disabled}
      }
   }
   deactivate $stopbut
   if [winfo exist .topp.sim.stop] {.topp.sim.stop config -state disabled}
} else {
   if [winfo exist .topp.sim] {
      if [file exist $pwd/cemos-model.exe] { 
        .topp.sim.sim config -state normal
        if [winfo exist .topp.sim.bat] {.topp.sim.bat config  -state normal}
        if [winfo exist .topp.sim.cin] {.topp.sim.cin config  -state normal}
      } else {
        .topp.sim.sim config -state disabled
        if [winfo exist .topp.sim.bat] {.topp.sim.bat config -state disabled}
        if [winfo exist .topp.sim.cin] {.topp.sim.cin config -state disabled}
      }
   }
}
}

