/* MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg */

#include "stdinc.h"

int main(int argc, char *argv[])
{
void *readheader(FILE*,header*,int);
header oh;
char *resultname;
char *var;
long int timnum;
int i;
int pos,namelength;
int casesen;

void *all;
float *dat;
FILE *unit;
string help;

  resultname=argv[1];
  var=argv[2];
  sscanf(argv[3],"%d",&casesen);

  unit=fopen(resultname,"rb");
 if (unit != NULL)
 {
   if (strpos(resultname,".outb") > 0) {
      namelength = sizeof(name12);
   } else {
      namelength = sizeof(long_name80);
   }
   all = readheader(unit,&oh,namelength);
   timnum = (long int) (0.5+(oh.endtim-oh.startim)/oh.outdelt) + 1;
   dat = malloc(sizeof(float)*oh.nvars);

  for (i=0;i<oh.nvars;i++)
  {
     strncpy(help,strmid(all,i*namelength,namelength),namelength);
     help[namelength]=(char) 0;

     if (casesen == 0) sprintf(help,"%s",strtolower(help));

     if (strpos(help,var) == 0)
     {
       pos=i;
       break;
     }
     else pos=-1;
  }


  if (pos>=0) {
     for (i=0;i<timnum;i++)
     {
       fread(dat,sizeof(float),oh.nvars,unit);
       printf("%.24g ",dat[pos]);
     }
     printf("\n");
  }
  else printf("not_stored\n");

  fclose(unit);
 }
else
  printf("Error in readdata \n");

 free(all);
 free(dat);
 return(0);
}


