/* MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg */

#include "stdinc.h"

int main(int argc, char *argv[])
{
 void *readheader(FILE*,header*,int);
 header oh;
 char *resultname;
 char *var;
 long int timnum;
 int i;
 int pos,namelength;
 int casesen;

  void *all;
  float *dat;
  string *output,gnu_cmd,help;
  FILE *unit;

  resultname=argv[1];
  var=argv[2];
  sscanf(argv[3],"%d",&casesen);

  unit=fopen(resultname,"rb");
 if (unit != NULL)
 {
   if (strpos(resultname,".outb") > 0) {
      namelength = sizeof(name12);
   } else {
      namelength = sizeof(long_name80);
   }
   all = readheader(unit,&oh,namelength);
   timnum = (long int) (0.5+(oh.endtim-oh.startim)/oh.outdelt) + 1;

  dat = malloc(sizeof(float)*oh.nvars);
  output = (string *) malloc(sizeof(string)*timnum);

  for (i=0;i<oh.nvars;i++)
  {
     strncpy(help,strmid(all,i*namelength,namelength),namelength);
     help[namelength]=(char) 0;

     if (casesen == 0) sprintf(help,"%s",strtolower(help));

     if (strpos(help,var) == 0)
     {
       pos=i;
       break;
     }
     else pos=-1;
  }


  if (pos>=0) {
     for (i=0;i<timnum;i++)
     {
       fread(dat,sizeof(float),oh.nvars,unit);
       sprintf(output[i],"%g",dat[pos]);
     }
    unit=fopen("/home/cora/gnuplot.out","wb");
    if (unit != NULL)
    {
    for (i=0;i<timnum;i++) fprintf(unit,"%f %s\n",oh.outdelt*i,output[i]);
    fclose(unit);

    sprintf(gnu_cmd,"gnuplot -persist -geometry 800x800+0+0 -bg white /home/cora/zz &");
    system(gnu_cmd);
    return(0);
    }
    else
    {
     printf("Error in sending output to gnuplot\n");
     return(0);
    }

  }
  else printf("%s","not_stored");

  fclose(unit);
  return(0);
 }
else
  printf("Error in readdata \n");

 return(0);
}


