# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc CompControl {} {
global can
global outd
global starttime endtime
global actstart timewin
global filename dataname filelist
global valu multiset
global showbars
global allyear allboxes
global buttonFont maxfiles
global ovc

control_bindings
makeslider $maxfiles

if [info exists filename(2)] {
   checkbutton $ovc.left.connect  -font $buttonFont -text {connect sliders}\
       -variable connect  -anchor w -pady 5\
       -command {connectslid
				 if {$connect==1} {
					 for {set i 2} {$i<=$maxfiles} {incr i} {
						 if [info exist filename($i)] {corrStartt $i}
					 }
				 }
		   }
    pack $ovc.left.connect -fill x
}

connectslid
valu_control
harm_control
set_and_graph

frame $ovc.right
grid $ovc.right -row 0 -column 2 -sticky news

frame $ovc.right.fix
pack $ovc.right.fix -side top -anchor w

fix

frame $ovc.right.misc
pack $ovc.right.misc -side top -pady {0 5}

axis_buttons


checkbutton $ovc.right.misc.smooth  -font $buttonFont -text {smooth} \
       -variable smooth  -anchor w \
       -command {interpret}
pack $ovc.right.misc.smooth  -fill x -pady {0 5} -anchor w

checkbutton $ovc.right.misc.bar  -font $buttonFont -text {Barcharts} \
       -variable barchart  -anchor w \
       -command {interpret}
pack $ovc.right.misc.bar  -fill x -pady {0 5} -anchor w

apply_button
right_buttons
makeselector

valuset
if {$valu==1 || $multiset==0} {$ovc.left.set.newset configure -state disabled}

#Fenster anordnen, falls zu gross
update;update idletasks
#if {[winfo height $ovc]>[expr  [winfo screenheight $ovc]-100]} {
#   pack $ovc.left.set  -side left
#}

}


