# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc bind_multiset {what} {
global varbut boxbut
global nicevarbut
global ovc

if {$what==1} {
  $ovc.left.set.newset configure -state normal
  $ovc.left.set.eraseset configure -state disabled
  $ovc.left.set.eraseallsets configure -state disabled

  foreach item $varbut {
    set var [string range [file extension $item] 1 end]
    bind $item <2> {tkButton2Down %W}
    bind $item <ButtonRelease-2> \
              "set newset 1;makecommand $var -1;tkButton2Up %W"
  }

  #if [info exist nicevarbut] {
  #  foreach item $nicevarbut {
  #    set var [string range [file extension $item] 1 end]
  #    bind $item <2> {tkButton2Down %W}
  #    bind $item <ButtonRelease-2> \
  #            "set newset 1;makecommand $var -1;tkButton2Up %W"
  #  }
  #}

  foreach item $boxbut {
    set box [string range [file extension $item] 1 end]
    bind $item <2> {tkButton2Down %W}
    bind $item <ButtonRelease-2> \
              "set newset 1;makecommand -1 $box;tkButton2Up %W"
  }



} else {

  $ovc.left.set.newset configure -state disabled
  $ovc.left.set.eraseset configure -state disabled
  $ovc.left.set.eraseallsets configure -state disabled

  foreach item $varbut {
    bind $item <2> ""
    bind $item <ButtonRelease-2> ""
  }

  #if [info exist nicevarbut] {
  #  foreach item $nicevarbut {
  #    bind $item <2> ""
  #    bind $item <ButtonRelease-2> ""
   # }
  #}

  foreach item $boxbut {
    set box [string range [file extension $item] 1 end]
    bind $item <2> ""
    bind $item <ButtonRelease-2> ""
  }

}

}




