# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc running_mean_data {tim dat} {
global outdelt
global run

if {$run<=0} {set run 7}

set len [llength $dat]

for {set i 0} {$i<$len} {incr i} {
    set timi [lindex $tim $i]
    set sum 0
    set anz 0
    for {set k $i} {$k>=0} {set k [expr $k-1]} {
        set timk [lindex $tim $k]
#        puts "[expr $timk-$timi] $run"
        if {[expr $timi-$timk] <$run } {
            set sum [expr $sum + [lindex $dat $k]]
            incr anz
        } else {
            set k 0

        }
      }
      
      if {$anz==0} {
         textinfo "Not enough data for running mean" 1
         return $dat
      } else {
         lappend help [expr $sum/$anz] 
      }
      
}
return $help
}
