# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc valuset {} {
global multiset spectrum
global eraseallsets eraseallgraphs
global valu datalist dataname valushow showdata
global varbut boxbut doffset
global toolflag
global buttonFont
global ovc vs

if {$valu==0} {
  foreach a $datalist {set valushow($a) 0}
  if [winfo exist .valu] {destroy .valu}
  if [winfo exist $ovc.left.toggle.showval] {$ovc.left.toggle.showval configure -state disabled} 
  set showdata 0
} else {
   set showdata 0
   set multiset 0
   set spectrum 0
   set eraseallsets 1
  if [winfo exist $ovc.left.set.newset] {$ovc.left.set.newset configure -state disabled}
  if [winfo exist $ovc.left.set.eraseset] {$ovc.left.set.eraseset configure -state disabled}
  if [winfo exist $ovc.left.set.eraseallsets] {$ovc.left.set.eraseallsets configure -state disabled}
  $ovc.left.toggle.showval configure -state active 
  foreach item $varbut {
    bind $item <2> {}
    bind $item <ButtonRelease-2> {}
  }

  if {$toolflag=="compare"} {
   foreach item $boxbut {
      bind $item <2> {}
      bind $item <ButtonRelease-2> {}
   }
  }
  
  foreach a $datalist {set valushow($a) 1}
  if {[llength $datalist] >= 1} {

   if [winfo exist .valu] {destroy .valu}
   if ![winfo exist .valu] {
     toplevel .valu

     wm title .valu {Validation Data}
     wm geometry .valu "+800+150"
     wm protocol .valu WM_DELETE_WINDOW {set showdata 0;wm iconify .valu}
     wm iconify .valu
     frame .valu.block
     pack .valu.block
#     raise .valu $ovc
#     raise .valu $vs
#	 raise .valu

     foreach a $datalist {
        frame .valu.block.$a
        pack .valu.block.$a -fill x
        checkbutton .valu.block.$a.but -text $dataname($a) -font $buttonFont -variable valushow($a) -anchor w \
        -command {makecommand -1 -1}
        pack .valu.block.$a.but -side left
        
        label .valu.block.$a.loffset -text "  Offset" -font $buttonFont
        pack .valu.block.$a.loffset -side left
        set t [entry .valu.block.$a.offset  -width 12 -textvariable doffset($a) -font $buttonFont]

        pack  .valu.block.$a.offset -side left -fill x
        bind  .valu.block.$a.offset <Return> "interpret"       

     }
   }
  }
}
#set eraseallgraphs 1
update idletasks
makecommand -1 -1
}




