# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc set_and_graph {{what all}} {
global buttonFont
global ovc

if {$what=="set" || $what=="all"} {
labelframe $ovc.left.set -text "Set Control"
pack $ovc.left.set -anchor n -anchor w -fill x

button $ovc.left.set.newset  -font $buttonFont -text {new}\
       -command {set newset 1}
pack $ovc.left.set.newset -side left

button $ovc.left.set.eraseset  -font $buttonFont -text {erase} \
       -command {set eraseset 1;makecommand -1 -1} \
       -state disabled
pack $ovc.left.set.eraseset -side left -fill x

button $ovc.left.set.eraseallsets  -font $buttonFont -text {erase all } \
       -command {set eraseallsets 1;makecommand -1 -1} \
       -state disabled
pack $ovc.left.set.eraseallsets -side right
}

if {$what=="graph" || $what=="all"} {
labelframe $ovc.left.graph -text "Graph Control"
pack $ovc.left.graph -anchor n -anchor w -fill x

button $ovc.left.graph.newgraph  -font $buttonFont -text {new}\
       -command {set newgraph 1}
pack $ovc.left.graph.newgraph -side left

button $ovc.left.graph.erasegraph  -font $buttonFont -text {erase} \
       -command {set erasegraph 1;makecommand -1 -1} \
       -state disabled
pack $ovc.left.graph.erasegraph -side left

button $ovc.left.graph.eraseallgraphs  -font $buttonFont -text {erase all} \
       -command {set eraseallgraphs 1;makecommand -1 -1} \
       -state disabled
pack $ovc.left.graph.eraseallgraphs -side right
}

}
