# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc mapchain {{anz 15}} {
global map
global can
global moviehome
global xmin xmax ymin ymax xdelt ydelt
global upper lower obj actbox numpos
global mapname

set mapname mapchain

if [info exists map] {unset map}

set xmin 0
set xmax [expr $anz*10]
set xdelt [expr $xmax -$xmin]

set ymin 150
set ymax 0
set ydelt [expr $ymax -$ymin]
set actbox $anz
set obj rect

set upper ""
for {set i 1} {$i <= $anz} {incr i} {
     lappend upper $i

     lappend map($i) [nnx [expr 10*($i-1)]]
     lappend map($i) [nny 50]
     lappend map($i) [nnx [expr 10*$i]]
     lappend map($i) [nny 80]

   }
set lower $upper

for {set i 1} {$i <= $anz} {incr i} {
   set x1 [lindex $map($i) 0]
   set y1 [lindex $map($i) 1]
   set x2 [lindex $map($i) 2]
   set y2 [lindex $map($i) 3]
 
   set x [expr ($x1+$x2)/2.0]
   set y [expr ($y1+$y2)/2.0]

   set numpos($i) "$x $y"
}

createboxes
}

