# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc disablestart {} {
global ovc sf toolflag psprint
	if {$toolflag=="film"} {
	#	if [winfo exist $ovc.right.misc.start] {$ovc.right.misc.start config -state disabled}
	    set psprint 0
		if [winfo exist .sf] {destroy .sf}
		if {[info exist sf] && [winfo exist $sf]} {
		    set kids [winfo children $sf]
		    foreach kid $kids {destroy $kid}
		}
	
	}
}

proc startfilm {} {
global animlen stopflag DOS
global filmspeed psprint
global gameover
global buttonFont can
global ovc bs onewindow sf
puts $onewindow
if {$onewindow==0} {
	set sf .sf
	toplevel $sf
	wm title $sf {Film Control}
	wm geometry $sf "+50+[expr $can+150]"
	wm group $sf .
	wm transient $sf .
} else {
	set sf $bs
	$sf configure -text "Film Control"
}
#$ovc.right.misc.start config -state disabled

frame $sf.con
pack $sf.con -fill x

set printps 0
set stopflag 0
set loopstop 0

checkbutton $sf.con.ps  -font $buttonFont -text {Record} -variable psprint -anchor w \
			-command {
				if {$psprint==1} {
					$sf.con.loop configure -state disabled; set loopstop 1
					} else {
					$sf.con.loop configure -state normal
				}	
				}
if {$DOS!=2} {pack $sf.con.ps -side left}

button $sf.con.loop  -font $buttonFont -text {Loop}\
       -command {set loopstop 0
				 $sf.con.start configure -state disabled
				 $sf.con.cont configure -state disabled
				 $sf.con.for configure -state disabled
				 $sf.con.back configure -state disabled
				 $sf.con.ps configure -state disabled
				 while {$loopstop==0} {set gameover 0;set anim_restart 1;set stopflag 0;anim}
				}
pack $sf.con.loop -side left

button $sf.con.start  -font $buttonFont -text {Start}\
       -command {set gameover 0;
				 $sf.con.loop configure -state disabled
				 $sf.con.start configure -state disabled
				 $sf.con.cont configure -state disabled
				 $sf.con.for configure -state disabled
				 $sf.con.back configure -state disabled
				 $sf.con.ps configure -state disabled
				 set anim_restart 1;set stopflag 0;anim
				 $sf.con.loop configure -state normal
				 $sf.con.start configure -state normal
				 $sf.con.cont configure -state normal
				 $sf.con.for configure -state normal
				 $sf.con.back configure -state normal
				 $sf.con.ps configure -state normal
				 }
pack $sf.con.start -side left

bind $sf.con.start <3> {tkButton3Down %W}
bind $sf.con.start <ButtonRelease-3> \
              "set gameover 1;set anim_restart 1;set stopflag 0;anim;tkButton3Up %W"

button $sf.con.cont  -font $buttonFont -text {Resume}\
       -command {set stopflag 0
				 $sf.con.loop configure -state disabled
				 $sf.con.start configure -state disabled
				 $sf.con.cont configure -state disabled
				 $sf.con.for configure -state disabled
				 $sf.con.back configure -state disabled
				 $sf.con.ps configure -state disabled
				 anim
				 $sf.con.loop configure -state normal
				 $sf.con.start configure -state normal
				 $sf.con.cont configure -state normal
				 $sf.con.for configure -state normal
				 $sf.con.back configure -state normal
				 $sf.con.ps configure -state normal
		   }
pack $sf.con.cont -side left

button $sf.con.stop  -font $buttonFont -text {Stop}\
       -command {set loopstop 1;set stopflag 1
				 $sf.con.start configure -state normal
				 $sf.con.cont configure -state normal
				 $sf.con.for configure -state normal
				 $sf.con.back configure -state normal
				 $sf.con.ps configure -state normal
		   }
pack $sf.con.stop -side left

button $sf.con.for  -font $buttonFont -text {Step forward}\
       -command {set stopflag 0;animstep 1}
pack $sf.con.for -side left

button $sf.con.back  -font $buttonFont -text {Step backward}\
       -command {set stopflag 0;animstep -1}
pack $sf.con.back -side left

button $sf.con.sn  -font $buttonFont -text {Snapshot to png} -command {printout filmpng}
if {$DOS!=2} {pack $sf.con.sn -side right}
# speed slider
#-------------

scale $sf.speed  -font $buttonFont -from 1 -to 10\
      -variable filmspeed \
      -orient horizontal -label "Film speed" \
      -tickinterval 1 -showvalue true -resolution 1 \
      -bigincrement 10
pack $sf.speed -fill x 

frame $sf.prn
pack $sf.prn -side right
set filmspeed 10
macraise
}

