proc colorswitch {} {
global colorscheme
option add *borderwidth 2

switch $colorscheme {
	classic {
		option add *background #b8b8f8
		option add *activeBackground #d8d8ff
		option add *foreground #000000   
		option add *disabledForeground #e0e0e0 
	}
	steel {
		option add *background #808090
		option add *activeBackground #afafb0
		option add *foreground #000000   
		option add *disabledForeground #d0d0d0 
	}
	
	inverse {
		option add *background #444444
		option add *activeBackground #666666
		option add *foreground black   
		option add *disabledForeground #e0e0e0 
	}
	
	grey {
		option add *background #afafaf
		option add *activeBackground #bfbfbf
		option add *foreground #222222  
		option add *disabledForeground #d0d0d0 
	}
	
	default {
		option add *background #b8b8f8
		option add *activeBackground #d8d8ff
		option add *foreground #000000   
		option add *disabledForeground #e0e0e0 
	}
}
}	
