# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc specialticks {c} {
global pxmin pxmax pymin pymax pxdelt pydelt
global graph
global specialticklist
global actstart timewin starttime
global cycle

set tmax [expr $actstart(1)+$timewin]

if {$cycle(1) > 0} {
set ticks [expr $starttime(1)+$cycle(1)/2]
set specialticklist ""

while {$ticks<$tmax} {
 lappend specialticklist $ticks
 set ticks [expr $ticks+$cycle(1)/2]
}
}

foreach item $specialticklist {

 if {$item>$actstart(1) && $item <$tmax} {
     set xoff [nnx $item]
     set item [$c create line $xoff $pymin $xoff $pymax -width 1.0 -fill grey -dash 3]
     $c addtag axis withtag $item
     $c addtag $graph withtag $item
 }

}
}
