# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc tatzetool {{file movie}} {
global moviehome
global toolflag textFont buttonFont

if [winfo exist .tatze] {destroy .tatze}
toplevel .tatze

wm title .tatze {Tiger Graphics Info Tool}
wm geometry .tatze "+300+150"

button  .tatze.exit -text {OK} -font $buttonFont -command {
destroy .tatze
}


pack  .tatze.exit -side bottom
set t [text .tatze.msg -width 80 -height 30 -font $textFont -yscrollcommand ".tatze.scroll set"]
scrollbar .tatze.scroll -command ".tatze.msg yview"
pack .tatze.scroll -side right -fill y
pack .tatze.msg -side left

set tazinfo [open $moviehome/../info/$file.info]
$t insert end [read $tazinfo]
update idletasks
}


