# MOVIE 5.0 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc csv2result {} {
global pwd prep_command log moviehome

wm attributes .prepare -topmost no
set filename [fileselect  "Select result file" outa $pwd open]
#set ext [file extension $filename]
#regsub $ext $filename "" file
wm attributes .prepare -topmost yes
if {$filename==""} {return}

set file [file rootname $filename]_outa

$log delete 1.0 end
$log insert end "Converting $filename "
$log insert end "to $file.outc \n"

# Checken ob CSV oder Space getrenntes File
# Wenn kein CSV, wird dieses erzeugt und unter neuem Namen abgelegt


#set newfilename [check_comma $filename $file]

set prep_command "$moviehome/../cprog/outa2result $filename $file"
Run

}

proc check_comma {nameext name} {

set id [open $nameext r]

gets $id line

if [string match *,* $line] {
   close $id
   return $nameext
} else {
   close $id
   set id [open $nameext r]
   set wid [open $name.tmp w]
   while  {[gets $id line] >=0} {
     set newline ""

     if {$line !=""} {

       foreach item $line {
         append newline $item ,
       }
       puts $wid [string trimright $newline ,]
     }
   }
   close $id
   close $wid
   return $name.tmp
}

}

